com.mockobjects.util

## Class TestCaseMo

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.mockobjects.util.TestCaseMo

- All Implemented Interfaces:
    junit.framework.Test

      public abstract class TestCaseMo
      extends junit.framework.TestCase

  Provides a level of indirection from TestCase so you can accomodate JUnit interface changes (like the change from 2.x to 3.1)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCaseMo(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assertFails(java.lang.String message, java.lang.Runnable runnable)`
    `void` | `assertVerifyFails(Verifiable aVerifiable)`
    `static void` | `start(java.lang.String[] testNames)`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCaseMo

          public TestCaseMo(java.lang.String name)

  - ### Method Detail

    - #### assertVerifyFails

          public void assertVerifyFails(Verifiable aVerifiable)

    - #### assertFails

          public void assertFails(java.lang.String message,
                                  java.lang.Runnable runnable)

    - #### start

          public static void start(java.lang.String[] testNames)

Copyright © 2002 Mock Objects. All Rights Reserved.